Subject: Scaling of G98 on Clusters

From: Douglas_Stack/CAS/UNO/[email-masked]
Date: Mon, 3 Apr 2000 10:34:40 -0500

With the recent discussion of how G98 scales on Beowulf clusters, I have an
additional question (we are thinking of putting together a cluster for G98
calculations and are deciding about specifics of configuration).

If there seems to be little gain above 8 CPUs using 100MB ether net
communication, is it possible to put together a 32 CPU cluster, use Linda for
the G98 code, then have cluster management software give 8 CPUs per Gaussian
job?  In other words, using the Link 0 command, %NProc=8, would a 32 CPU cluster
be able to run 4 jobs at 8 CPU each and still provide maximum usage to Gaussian
users.  Or does a Beowulf cluster require all CPUs by used in tandem.

This leads to other question about cluster management software.  I've seen
several mentioned on different web sites.  Any experience as to which offers the
best mix of ease and functionality?

Douglas E. Stack
Assistant Professor
Department of Chemistry
University of Nebraska at Omaha
Omaha, NE 68182-0109
(402) 554-3647
(402) 554-3888 (fax)
[email-masked]

---

From: Matt Challacombe <[email-masked]>
Date: Mon, 3 Apr 2000 11:38:48 -0600

Hi Douglas,

I think you want a queing system.  PBS is the queing system of 
choice for linux clusters.

-Matt

On Mon, 03 Apr 2000, Douglas_Stack/CAS/UNO/[email-masked] wrote:
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
-- 
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
+ Matt Challacombe, Ph.D.           http://www.t12.lanl.gov/~mchalla/ +
+ Los Alamos National Laboratory    email: [email-masked]       + 
+ Theoretical Division              vmail:   (505) 698-4112           +
+ Group T-12, Mail Stop B268        phone:   (505) 665-5905           +
+ Los Alamos, New Mexico  87545     fax:     (505) 665-3909           +
+                                                                     +
+ "The secret to mountain biking is pretty simple. The slower you go  +
+  the more likely it is you'll crash." -- Julie Furtado              +
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+